> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Add User Rating Points

> Add user rating points



## OpenAPI

````yaml post /users/add-rating-points
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/add-rating-points:
    post:
      tags:
        - users
      summary: Add User Rating Points
      description: Add user rating points
      operationId: add_user_rating_points_users_add_rating_points_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserRatingAddPointsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRatingResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserRatingAddPointsRequest:
      properties:
        points:
          type: integer
          title: Points
      type: object
      required:
        - points
      title: UserRatingAddPointsRequest
    UserRatingResponse:
      properties:
        level:
          $ref: '#/components/schemas/UserRatingLevelResponse'
        points:
          type: integer
          title: Points
      type: object
      required:
        - level
        - points
      title: UserRatingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserRatingLevelResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        queue:
          type: integer
          title: Queue
        max_points:
          type: integer
          title: Max Points
        price_range_min:
          type: integer
          title: Price Range Min
        price_range_max:
          type: integer
          title: Price Range Max
      type: object
      required:
        - id
        - name
        - queue
        - max_points
        - price_range_min
        - price_range_max
      title: UserRatingLevelResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````